cpw.mods.fml.client

## Class FMLTextureFX

- java.lang.Object
- - net.minecraft.client.renderer.texturefx.TextureFX
  - - cpw.mods.fml.client.FMLTextureFX

- All Implemented Interfaces:
    ITextureFX
  Direct Known Subclasses:
    ModTextureAnimation, ModTextureStatic, TextureCompassFX, TextureFlamesFX, TextureLavaFlowFX, TextureLavaFX, TexturePortalFX, TextureWatchFX, TextureWaterFlowFX, TextureWaterFX

      public class FMLTextureFX
      extends TextureFX
      implements ITextureFX

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `errored`
    `int` | `tileSizeBase`
    `int` | `tileSizeMask`
    `int` | `tileSizeSquare`
    `int` | `tileSizeSquareMask`

    - ### Fields inherited from class net.minecraft.client.renderer.texturefx.TextureFX

      `anaglyphEnabled, iconIndex, imageData, textureId, tileImage, tileSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLTextureFX(int icon)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getErrored()`
    `void` | `onTextureDimensionsUpdate(int width, int height)`
    `void` | `onTexturePackChanged(RenderEngine engine, ITexturePack texturepack, Dimension dimensions)`
    `void` | `setErrored(boolean err)`
    `boolean` | `unregister(RenderEngine engine, List<TextureFX> effects)`

    - ### Methods inherited from class net.minecraft.client.renderer.texturefx.TextureFX

      `bindImage, onTick`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tileSizeBase

          public int tileSizeBase

    - #### tileSizeSquare

          public int tileSizeSquare

    - #### tileSizeMask

          public int tileSizeMask

    - #### tileSizeSquareMask

          public int tileSizeSquareMask

    - #### errored

          public boolean errored

  - ### Constructor Detail

    - #### FMLTextureFX

          public FMLTextureFX(int icon)

  - ### Method Detail

    - #### setErrored

          public void setErrored(boolean err)

      Specified by:
        `setErrored` in interface `ITextureFX`

    - #### getErrored

          public boolean getErrored()

      Specified by:
        `getErrored` in interface `ITextureFX`

    - #### onTexturePackChanged

          public void onTexturePackChanged(RenderEngine engine,
                                  ITexturePack texturepack,
                                  Dimension dimensions)

      Specified by:
        `onTexturePackChanged` in interface `ITextureFX`

    - #### onTextureDimensionsUpdate

          public void onTextureDimensionsUpdate(int width,
                                       int height)

      Specified by:
        `onTextureDimensionsUpdate` in interface `ITextureFX`

    - #### unregister

          public boolean unregister(RenderEngine engine,
                           List<TextureFX> effects)